import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import { Row, Col, Upload, Menu, Layout, Checkbox, Breadcrumb, Popover, Icon, Button, DatePicker, Input, Table, Tag, Divider, Dropdown, Modal, Form, Select, message, Pagination, LocaleProvider, Spin, Badge, Switch } from 'ant-design-vue'
import 'ant-design-vue/dist/antd.css'
import { config } from './api/config'
import './assets/css/global.css'
import echarts from 'echarts'

Vue.use(Layout)
Vue.use(Row)
Vue.use(Col)
Vue.use(Upload)
Vue.use(Checkbox)
Vue.use(Popover)
Vue.use(LocaleProvider)
Vue.use(Menu)
Vue.use(Badge)
Vue.use(Switch)
Vue.use(Spin)
Vue.use(Breadcrumb)
Vue.use(Icon)
Vue.use(Button)
Vue.use(Input)
Vue.use(Table)
Vue.use(DatePicker)
Vue.use(Tag)
Vue.use(Divider)
Vue.use(Dropdown)
Vue.use(Modal)
Vue.use(Form)
Vue.use(Select)
Vue.use(Input.TextArea)
Vue.use(message)
Vue.use(Pagination)
Vue.config.productionTip = false

Vue.prototype.$confirm = Modal.confirm
Vue.prototype.$message = message
Vue.prototype.$echarts = echarts

router.beforeEach(function (to, from, next) {
  // 项目初始化进行鉴权
  if (to.name === 'noPermission' || to.name === 'configError') {
    next()
  } else {
    if (sessionStorage.getItem('isFirstAction')) {
      next()
    } else {
      if (to.redirectedFrom.substr(1) !== localStorage.getItem('orgId')) {
        localStorage.clear()
        localStorage.setItem('orgId', to.redirectedFrom.substr(1))
      }
      config.ddconfig().then((res) => {
        if (res === 'no') {
          next({ name: 'configError' })
        }
      }).then(() => {
        config.ddready('ddpermission').then((res) => {
          if (res === 'noPermission') {
            next({ name: 'noPermission' })
          } else {
            next({ name: 'accountManagement' })
          }
        }).catch((err) => {
          console.log('ddpermission', err)
        })
      }).catch((err) => {
        console.log(err, '登录失败')
      })
    }
  }
})

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
